> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get accumulated cost allocation summary over a time window

> Retrieve accumulated cost allocation summary. Faster than the full allocation, but may include less details.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/cost/v2/allocation/summary/accumulated
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/cost/v2/allocation/summary/accumulated:
    get:
      tags:
        - Cost and billing
      summary: Get accumulated cost allocation summary over a time window
      description: >-
        Retrieve accumulated cost allocation summary. Faster than the full
        allocation, but may include less details.
      operationId: getCostAllocationSummaryV2
      parameters:
        - description: >-
            Duration of time over which to query. Accepts words like today,
            week, month, yesterday, lastweek, lastmonth; durations like 30m,
            12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
          in: query
          name: window
          required: true
          schema:
            type: string
        - description: >-
            Aggregate the cost allocation. Accepts kubecost aggregates cluster,
            namespace, pod, deployment, service, daemonset, statefulset, job,
            cronjob, replicaset, node, container, pv, pvc, storageclass, cluster
          in: query
          name: aggregate
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Interval to accumulate the costs. Accepts hour, day, week
          in: query
          name: interval
          required: false
          schema:
            type: string
        - description: >-
            filter the result by the kubecost filter like cluster, namespace,
            pod, deployment, service, daemonset, statefulset, job, cronjob,
            replicaset, node, container, pv, pvc, storageclass, cluster.
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: if the idle cost will be shared
          in: query
          name: shareIdle
          required: false
          schema:
            type: boolean
        - description: list of namespaces to share the costs
          in: query
          name: shareNamespaces
          required: false
          schema:
            type: string
        - description: >-
            determines how to split shared costs among non-idle, unshared
            allocations.
          in: query
          name: shareSplit
          required: false
          schema:
            type: string
        - description: the cost to share
          in: query
          name: shareCost
          required: false
          schema:
            type: string
        - description: the label to share the cost
          in: query
          name: shareLabels
          required: false
          schema:
            type: string
        - description: if the cost will be reconciled
          in: query
          name: reconcile
          required: false
          schema:
            type: boolean
        - description: if the tenancy costs will be shared
          in: query
          name: shareTenancyCosts
          required: false
          schema:
            type: boolean
        - description: if the idle cost will be calculated
          in: query
          name: idle
          required: false
          schema:
            type: boolean
        - description: if the external cost will be calculated
          in: query
          name: external
          required: false
          schema:
            type: boolean
        - description: Max number of rows to fetch. Defaults to 1000.
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: How many rows from the start to skip. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostAllocationSummaryEnvelopeV2'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    CostAllocationSummaryEnvelopeV2:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CostAllocationSummaryV2'
          type: array
      required:
        - data
      type: object
    CostAllocationSummaryV2:
      properties:
        allocationProperties:
          $ref: '#/components/schemas/CostPropertiesV2'
        cpu:
          $ref: '#/components/schemas/CostAllocationSummaryCpuV2'
        end:
          type: string
        externalCost:
          nullable: true
          type: number
        gpu:
          $ref: '#/components/schemas/CostAllocationSummaryGpuV2'
        key:
          $ref: '#/components/schemas/CostKeyV2'
        labels:
          $ref: '#/components/schemas/CostLabelsV2'
        loadBalancer:
          $ref: '#/components/schemas/CostAllocationSummaryLoadBalancerV2'
        minutes:
          type: number
        network:
          $ref: '#/components/schemas/CostAllocationSummaryNetworkV2'
        pv:
          $ref: '#/components/schemas/CostAllocationSummaryPvV2'
        ram:
          $ref: '#/components/schemas/CostAllocationSummaryRamV2'
        sharedCost:
          nullable: true
          type: number
        start:
          type: string
        totalCost:
          nullable: true
          type: number
        totalEfficiency:
          nullable: true
          type: number
        window:
          $ref: '#/components/schemas/CostTimeWindowV2'
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    CostPropertiesV2:
      type: object
      additionalProperties:
        type: string
    CostAllocationSummaryCpuV2:
      properties:
        coreRequestAverage:
          type: number
        coreUsageAverage:
          type: number
        cost:
          type: number
      type: object
    CostAllocationSummaryGpuV2:
      properties:
        cost:
          type: number
      type: object
    CostKeyV2:
      type: object
      additionalProperties:
        type: string
    CostLabelsV2:
      properties:
        billingTag:
          type: string
        organizationId:
          type: string
        organizationName:
          type: string
        projectId:
          type: string
        projectName:
          type: string
        projectOwnerId:
          type: string
        projectOwnerName:
          type: string
        startingUserId:
          type: string
        startingUserName:
          type: string
        workloadId:
          type: string
        workloadType:
          type: string
      type: object
    CostAllocationSummaryLoadBalancerV2:
      properties:
        cost:
          type: number
      type: object
    CostAllocationSummaryNetworkV2:
      properties:
        cost:
          type: number
      type: object
    CostAllocationSummaryPvV2:
      properties:
        cost:
          type: number
      type: object
    CostAllocationSummaryRamV2:
      properties:
        byteRequestAverage:
          type: number
        byteUsageAverage:
          type: number
        cost:
          type: number
      type: object
    CostTimeWindowV2:
      properties:
        end:
          type: string
        start:
          type: string
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Get accumulated cost allocation over a time window](/api-reference/cost-and-billing/get-accumulated-cost-allocation-over-a-time-window.md)
- [Get the cost allocation summary over a time window](/api-reference/cost-and-billing/get-the-cost-allocation-summary-over-a-time-window.md)
- [Get the cost allocation over a time window](/api-reference/cost-and-billing/get-the-cost-allocation-over-a-time-window.md)
- [Get accumulated asset cost over a time window](/api-reference/cost-and-billing/get-accumulated-asset-cost-over-a-time-window.md)
